import { ReactiveElement, ReactiveController } from 'lit';
import { OffsetPoint, Point } from '../types/index.js';
export declare class NveTouchEvent extends Event {
    x: number;
    y: number;
    offsetX: number;
    offsetY: number;
    constructor(event: 'nve-touch-start' | 'nve-touch-move' | 'nve-touch-end', point: Point & OffsetPoint);
}
/**
 * @event nve-touch-start
 * @event nve-touch-move
 * @event nve-touch-end
 */
export declare function typeTouch<T extends ReactiveElement>(): ClassDecorator;
export declare class TypeTouchController<T extends ReactiveElement> implements ReactiveController {
    #private;
    private host;
    constructor(host: T);
    hostConnected(): void;
    hostDisconnected(): void;
}
